Module jdk.compiler
Package com.sun.source.tree

## Interface PackageTree

- All Superinterfaces:
    `Tree`

      public interface PackageTree
      extends Tree

  Represents the package declaration.
  Since:
    9
  See The Java™ Language Specification:
    sections 7.3, and 7.4

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<? extends AnnotationTree>` | `getAnnotations​()` | Returns the annotations associated with this package declaration.
    `ExpressionTree` | `getPackageName​()` | Returns the name of the package being declared.

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getAnnotations

          List<? extends AnnotationTree> getAnnotations​()

      Returns the annotations associated with this package declaration.
      Returns:
        the annotations

    - #### getPackageName

          ExpressionTree getPackageName​()

      Returns the name of the package being declared.
      Returns:
        the name